package com.qs.mp.user.service.impl;
import java.util.Date;

import com.qs.mp.common.enums.UserRedPkgStatusEnum;
import com.qs.mp.system.service.id.BizIdGenerator;
import com.qs.mp.user.domain.UserRedPkg;
import com.qs.mp.user.domain.param.RedPkgDrawParam;
import com.qs.mp.user.mapper.UserRedPkgMapper;
import com.qs.mp.user.service.IUserRedPkgService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @auther quanshu
 * @create 2023-06-12 15:03:20
 * @describe 用户的红包服务实现类
 */
@Service
public class UserRedPkgServiceImpl extends ServiceImpl<UserRedPkgMapper, UserRedPkg> implements IUserRedPkgService {

    @Autowired
    private BizIdGenerator bizIdGenerator;

    @Override
    public void distribute(Long userId, Integer value, String title, String picUrl, String refId) {
        UserRedPkg userRedPkg = new UserRedPkg();
        userRedPkg.setId(bizIdGenerator.newIdWithUidSharding(String.valueOf(userId)));
        userRedPkg.setUserId(userId);
        userRedPkg.setRefId(refId);
        userRedPkg.setTitle(title);
        userRedPkg.setPicUrl(picUrl);
        userRedPkg.setValue(value);
        userRedPkg.setStatus(UserRedPkgStatusEnum.UN_DRAW);
        save(userRedPkg);
    }

    @Override
    public boolean draw(RedPkgDrawParam param) {

        return false;
    }
}
